Create block rule
curl --request POST \
--url https://api.tagada.io/api/public/v1/block-rules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Block High Risk Countries",
"type": "country",
"value": [
"XX",
"YY"
],
"enabled": true
}
'import requests
url = "https://api.tagada.io/api/public/v1/block-rules"
payload = {
"name": "Block High Risk Countries",
"type": "country",
"value": ["XX", "YY"],
"enabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Block High Risk Countries',
type: 'country',
value: ['XX', 'YY'],
enabled: true
})
};
fetch('https://api.tagada.io/api/public/v1/block-rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "rule_123",
"name": "Block High Risk Countries",
"enabled": true,
"type": "country",
"value": [
"XX",
"YY"
],
"createdAt": "2024-03-20T10:30:00Z"
}{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}block-rules
Create block rule
Create a new block rule for fraud prevention
POST
/
api
/
public
/
v1
/
block-rules
Create block rule
Authorizations
Enter your API key as: Bearer your-api-key
Body
application/json
Minimum string length:
1Available options:
OR, AND Required range:
1 <= x <= 8760Show child attributes
Show child attributes
Response
Successful response
⌘I
